<?php
/*
Copyright (C) 2008 by oscim   Project lossim  [ 15.09.2009, 09:17:59] @oscim
// kate: replace-trailing-space-save true; space-indent on; indent-width 2; mixedindent off; indent-mode cstyle; word-wrap-marker-color #41C2A4
ENCODE UTF-8
*/
/**
  @package lossim <web http://www.lossim.org>
  @author oscim <mail dom@oscim.fr > <web http://www.oscim.fr>
  @class titre

*/
class titre extends cstr{
  var $analyseur;
  var $fichierXml;
  var $balisesOuvrantes;
  var $balisesFermantes;
  var $force_lib_dep_via_parser;

  function __construct ($fichier) {
  $this->fichierXml = $fichier;
  $this->more=false;
  $this->balisesOuvrantes = array(
          "NEWS" 	=>"",
          "HTMLCONTENU"  => "",
          "IMG"  => "",
           );

  $this->balisesFermantes = array(
          "NEWS" 	=>"",
          "HTMLCONTENU"  => "",
           );
  }

  /*public */function force_lib_dep(){
          return $this->force_lib_dep_via_parser;
  }
  /*private*/ function debutBalise($parser, $nom, $attributs) {
    $CSS_AFTER_BODY=true;
    if (!empty($this->balisesOuvrantes[$nom])) print($this->balisesOuvrantes[$nom]);
    if( $nom == "HTMLCONTENU" )  include("type_parser/htmlcontenu.inc");
    if( $nom == "IMG" ) include("type_parser/img.inc");
  }

  /*private*/function finBalise($parser, $nom) {
    $CSS_AFTER_BODY=true;
    if($nom=="HTMLCONTENU") include("type_parser/htmlcontenu_f.inc");
    if (!empty($this->balisesFermantes[$nom])) print($this->balisesFermantes[$nom]);
  }
  /*private*/function texte($parser, $data) {
    $CSS_AFTER_BODY=true;
  }
  /*private*/function gestionnaireDePI($parser, $cible, $data) {
    require("lib_parser/gestionnaireDePI.inc");
  }
  /*private*/function gestionnaireDeRefExterne($parser, $openEntityNames, $base, $systemId, $publicId) {
   if(test_const('REF_EXT_FOR_PARSE_XML'))  require("lib_parser/gestionnaireDeRefExterne.inc");
  }
  /*public */function analyser() {
   require("lib_parser/analyser.inc");
  }
}
?>